Bug 229768 - Enable WebRTC relay for SafariViewController
Summary: Enable WebRTC relay for SafariViewController
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2021-09-01 13:24 PDT by youenn fablet
Modified: 2021-09-03 02:48 PDT (History)
6 users (show)

See Also:


Attachments
Patch (22.53 KB, patch)
2021-09-01 13:27 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (16.95 KB, patch)
2021-09-02 03:40 PDT, youenn fablet
ews-feeder: commit-queue-
Details | Formatted Diff | Diff
Patch (16.90 KB, patch)
2021-09-02 03:53 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch (16.90 KB, patch)
2021-09-02 05:27 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (17.11 KB, patch)
2021-09-02 23:38 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2021-09-01 13:24:47 PDT
Enable WebRTC relay for SafariViewController
Comment 1 youenn fablet 2021-09-01 13:27:19 PDT
Created attachment 437064 [details]
Patch
Comment 2 youenn fablet 2021-09-02 03:40:57 PDT
Created attachment 437133 [details]
Patch
Comment 3 youenn fablet 2021-09-02 03:53:43 PDT
Created attachment 437134 [details]
Patch
Comment 4 youenn fablet 2021-09-02 05:22:58 PDT
<rdar://82624417>
Comment 5 youenn fablet 2021-09-02 05:27:56 PDT
Created attachment 437138 [details]
Patch
Comment 6 Sam Weinig 2021-09-02 08:52:46 PDT
Comment on attachment 437138 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=437138&action=review

> Source/WebKit/ChangeLog:11
> +        Use source application bundle identifier instead of attributed bundle identifier for nw_parameters_set_source_application_by_bundle_id.
> +        Use attributed bundle identifier for nw_parameters_set_attributed_bundle_identifier.
> +        Make sure to not set token data in case application bundle identifier is available.
> +        Introduce a helper routine to share more code between UDP and TCP sockets.

Please add an explanation as to why this fixes the bug. Please explain what this has to do with "Enable WebRTC relay for SafariViewController".

> Source/WebKit/ChangeLog:13
> +        Manually tested.

Please add an explanation as to why this can't be tested in an automated fashion. Anything without automated testing is prone to regression.
Comment 7 youenn fablet 2021-09-02 10:37:39 PDT
> > Source/WebKit/ChangeLog:11
> > +        Use source application bundle identifier instead of attributed bundle identifier for nw_parameters_set_source_application_by_bundle_id.
> > +        Use attributed bundle identifier for nw_parameters_set_attributed_bundle_identifier.
> > +        Make sure to not set token data in case application bundle identifier is available.
> > +        Introduce a helper routine to share more code between UDP and TCP sockets.
> 
> Please add an explanation as to why this fixes the bug. Please explain what
> this has to do with "Enable WebRTC relay for SafariViewController".

Sure, relay is decided by NW layer upon source application, which can either be a bundle id or a token.

> > Source/WebKit/ChangeLog:13
> > +        Manually tested.
> 
> Please add an explanation as to why this can't be tested in an automated
> fashion. Anything without automated testing is prone to regression.

Such testing would require access to relays from our testing bots.
Plus the right source application bundle.
Comment 8 youenn fablet 2021-09-02 23:38:36 PDT
Created attachment 437245 [details]
Patch for landing
Comment 9 EWS 2021-09-03 02:48:15 PDT
Committed r281982 (241289@main): <https://commits.webkit.org/241289@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 437245 [details].